
pfSense Packages - Bug #1966

500 Error On Graph Request of LightSquid

10/17/2011 05:10 PM - Steve Beaudoin

Status: Resolved Start date: 10/17/2011

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Squid Estimated time: 0.00 hour

Target version:    

Plus Target Version:  Affected Plus

Version:

 

Affected Version:  Affected

Architecture:

 

Description

System

------

I have PfSense version 2.0 (built on Tue Sep 13 17:33:40 EDT 2011), installed Squid 2.7.9_4.2 and LightSquid 1.8.2 pkg v.1.5 in this

order.

Problem

-------

If I try to get a graph from lightsquid, I have a 500 error.

Steps to reproduce

------------------

1. Install the indicated versions of Squid and LightSquid.

2. In the LightSquid report, click any graph icon you see.

3. Either no display or a 500 error will show.

Steps to diagnose

-----------------

I searched the forum and found a way to diagnose the problem.

1. Do a "cd /usr/local/www/lightsquid/".

2. Execute "perl graph.cgi".

It should return some HTML.  In my case, it says "# Can't locate GD.pm in @INC (@INC contains: /usr/local/lib/perl5/5.12.3/BSDPAN

/usr/local/lib/perl5/site_perl/5.12.3/mach /usr/local/lib/perl5/site_perl/5.12.3 /usr/local/lib/perl5/5.12.3/mach /usr/local/lib/perl5/5.12.3 .)

at graph.cgi line 23."

I looked in /usr/local/lib/perl5/site_perl, two versions of perl are present, 5.12.3 and 5.12.4.  Version 5.12.3 do not have gd.pm but

version 5.12.4 do.

History

#1 - 02/27/2012 04:07 PM - Jim Pingle

- Status changed from New to Resolved

This worked last time I tried it, which was a week or so ago. If you still have issues with a clean install of all the involved packages, reply with more

updated detail.
